defmodule Outlook.TranslatorsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Outlook.Translators` context.
  """

  @doc """
  Generate a deepl_account.
  """
  def deepl_account_fixture(attrs \\ %{}) do
    {:ok, deepl_account} =
      attrs
      |> Enum.into(%{
        auth_key: "some auth_key",
        character_count: 42,
        character_limit: 42,
        description: "some description",
        name: "some name",
        our_character_count: 42
      })
      |> Outlook.Translators.create_deepl_account()

    deepl_account
  end
end
